Skip to content

Get Payment Limits​

GET
/v1/pay/limits

Retrieves all the payment limits applicable to your account. This will include minimum payment amount, maximum payment amount, payment currency and limit type (currently per transaction).

Authorizations​

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters​

Query Parameters

currency*

The currency shortname in which the limits should be denominated

Type
string
Required

Responses​

Payment limits retrieved successfully

application/json
JSON
{
"maxPaymentAmount": 50000,
"minPaymentAmount": 5,
"paymentCurrency": "ZAR",
"limitType": "per transaction"
}

Playground​

Authorization
Variables
Key
Value

Samples​